All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.execution2
Interface MLSResultSetInterface

    public interface MLSResultSetInterface

interface to surface up localized values

Method Summary
`MLSResultSetMetaDataInterface` | `getMLSResultSetMetaData()`
`java.lang.Object` | `getObject(int columnIndex, java.util.Locale locale)`
`java.sql.ResultSet` | `getResultSet()` returns the result set extended
`java.lang.String` | `getString(int columnIndex, java.util.Locale locale)`
`boolean` | `isLocalized(int columnIndex)` Returns true if the column is backed by any localization data.

Method Detail

### isLocalized

    boolean isLocalized(int columnIndex)
                        throws java.sql.SQLException

  Returns true if the column is backed by any localization data. This does not mean that it has localization for any specific locale, only that it could.

  Returns:
  Throws:
    `java.sql.SQLException`

### getString

    java.lang.String getString(int columnIndex,
                               java.util.Locale locale)
                               throws java.sql.SQLException

  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
    `locale` -
  Returns:
  Throws:
    `java.sql.SQLException`

### getObject

    java.lang.Object getObject(int columnIndex,
                               java.util.Locale locale)
                               throws java.sql.SQLException

  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
    `locale` -
  Returns:
  Throws:
    `java.sql.SQLException`

### getMLSResultSetMetaData

    MLSResultSetMetaDataInterface getMLSResultSetMetaData()
                                                          throws java.sql.SQLException

  Returns:
  Throws:
    `java.sql.SQLException`

### getResultSet

    java.sql.ResultSet getResultSet()

  returns the result set extended

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.